version: '3'

services:
  mongo1:
    hostname: mongo1
    container_name: localmongo1
    image: mongo:4.0.4
    expose:
      - 27017
    restart: always
    entrypoint: ["mongod", "--bind_ip_all", "--smallfiles", "--replSet", "rs0"]
  mongo2:
    hostname: mongo2
    container_name: localmongo2
    image: mongo:4.0.4
    expose:
      - 27017
    restart: always
    entrypoint: ["mongod", "--bind_ip_all", "--smallfiles", "--replSet", "rs0"]
  mongo3:
    hostname: mongo3
    container_name: localmongo3
    image: mongo:4.0.4
    expose:
      - 27017
    restart: always
    entrypoint: ["mongod", "--bind_ip_all", "--smallfiles", "--replSet", "rs0"]
